<?php

namespace Modules\Utils\ExportData\Config;

class View_Utils_FormAdmin extends \App\Mvc\View_Utils_FormAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Utils_FormAbstract::getForm()
	 */
	public function getForm()
	{
		$form = \Engine\Form\General::create();

		$fieldset = \Engine\Form\Container\Fieldset::create($this->lang['index']['form']['generalSettings']);

		// security code
		$securityCode = new \Engine\Form\Input\Password($this->lang['index']['formFields']['securityCode'], 'securityCode', $this->values['securityCode']);
		$securityCode->setStyle('showGeneratePasswordButton', true);
		$securityCode->setStyle('showPassword', true);
		$securityCode->setStyle('randomPasswordStyle', [
			'length' => [30, 50],
			'includeNumbers'   => true,
			'includeLowercase' => true,
			'includeUppercase' => true,
			'includeSymbols' => false,
			'includeUtf8'=>		false,
		]);
		$securityCode->setValidatorParam('minLength', 30);
		$securityCode->setValidatorParam('maxLength', 50);

		$fieldset->addElement($securityCode);

		$form->addContainer($fieldset);

		$form->addElement(new \Engine\Form\Input\Hidden('', $this->submitButtonName, 1));

		return $form;
	}


}